let Genode = env:DHALL_GENODE

let Prelude = Genode.Prelude

let XML = Prelude.XML

let frontend = ./../../retro_frontend/package.dhall

let defaults = ./../../pkgDefaults.dhall

let keyboardDefaults = ./../../pkgKeyboardDefaults.dhall

let frontendConfig =
        keyboardDefaults.frontendConfig
      ⫽ { vfs =
            XML.text
            ''
            <vfs>
            	<tar name="quake_shareware.tar"/>
            	<fs/>
            	<dir name="dev"> <log label="core"/> </dir>
            </vfs>
            ''
        , game =
            XML.text "<game/>"
        , variables =
            [ { mapKey = "tyrquake_resolution", mapValue = "960x600" } ]
        }

in  { indexInfo =
        "QUAKE engine"
    , runtime =
          defaults.runtime
        ⫽ { ram =
              Genode.units.MiB 64
          , caps =
              256
          , roms =
              defaults.runtime.roms # [ "quake_shareware.tar" ]
          , config =
              frontend.Config.toXML frontendConfig
          }
    }
