let Genode = env:DHALL_GENODE

let XML = Genode.Prelude.XML

let fceumm = ./../../cores/fceumm/pkg.dhall

in  { indexInfo =
        "SNES tests"
    , runtime =
          fceumm.runtime
        ⫽ { roms =
              fceumm.runtime.roms # [ "240pSuite.sfc" ]
          , config =
              XML.text
              ''
              <config>
              <libc stdout="/dev/log" stderr="/dev/log"/>
              <game/>
              <vfs>
              <rom name="240pee.nes"/>
              <dir name="dev"> <log label="core"/> </dir>
              </vfs>
              <default-controller port="0" device="1">
              <map from="KEY_LEFT" to="LEFT"/>
              <map from="KEY_RIGHT" to="RIGHT"/>
              <map from="KEY_UP" to="UP"/>
              <map from="KEY_DOWN" to="DOWN"/>
              
              <map from="KEY_X" to="A"/>
              <map from="KEY_Z" to="B"/>
              
              <map from="KEY_ENTER" to="START"/>
              <map from="KEY_RIGHTSHIFT" to="SELECT"/>
              </default-controller>
              </config>
              ''
          }
    }
